Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Delete a thread

Moves it to trash, where it is deleted after 30 days; moving it out of trash restores it. deleted is false when it was in trash already.

DELETE/inboxes/{inbox_id}/threads/{thread_id}
Authorization
AuthorizationBearer token · headerrequired

A BillionSend API key (bs_…).

Path parameters
inbox_idstringrequired

The inbox ID or its email address, such as support@example.com

thread_idstring<uuid>required

The thread ID

Responses
200

Thread moved to trash

objectstringrequired
Allowed:inbox_thread
idstring<uuid>required
deletedbooleanrequired
401

Missing, malformed, unknown or revoked API key

statusCodenumberrequired
namestringrequired
messagestringrequired
404

Not found

statusCodenumberrequired
namestringrequired
messagestringrequired
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberrequired
namestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.billionsend.com/inboxes/string/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "object": "inbox_thread",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "deleted": true
}

Was this page helpful?